Loading...
Searching...
No Matches
BALL::FlexDefinition Class Reference

`#include <BALL/DOCKING/COMMON/flexDefinition.h>`

## Public Types

enum | RotamerLibrary { DUNBRACK = 0 , LOVELL }

## Public Member Functions

| FlexDefinition ()
virtual | ~FlexDefinition ()
void | addFullyFlexibleResidue (Position idx)
vector< Position > | getFullyFlexibleResidues () const
void | addRotamerFlexibleResidue (Position idx)
vector< Position > | getRotamerFlexibleResidues () const

## Static Public Member Functions

static FlexDefinition | Rigid ()

## Detailed Description

FlexDefinition class. This class is used to store flexibility information about a receptor object.

Definition at line 17 of file flexDefinition.h.

## Member Enumeration Documentation

## RotamerLibrary

enum BALL::FlexDefinition::RotamerLibrary

Enumerator
DUNBRACK |
LOVELL |

Definition at line 21 of file flexDefinition.h.

## Constructor & Destructor Documentation

## FlexDefinition()

BALL::FlexDefinition::FlexDefinition | ( |  | ) |

Constructor.

## ~FlexDefinition()

virtual BALL::FlexDefinition::~FlexDefinition | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## addFullyFlexibleResidue()

void BALL::FlexDefinition::addFullyFlexibleResidue | ( | Position | idx | ) |

Add a fully (all-atom) flexible residue.

Parameters

  residue | index

## addRotamerFlexibleResidue()

void BALL::FlexDefinition::addRotamerFlexibleResidue | ( | Position | idx | ) |

Add a rotamer-flexible residue.

Parameters

  residue | index

## getFullyFlexibleResidues()

vector< Position > BALL::FlexDefinition::getFullyFlexibleResidues | ( |  | ) | const

Get all fully-flexible residues.

Parameters

  vector | of residue indices

## getRotamerFlexibleResidues()

vector< Position > BALL::FlexDefinition::getRotamerFlexibleResidues | ( |  | ) | const

Get all rotamer-flexible residues.

Parameters

  vector | of residue indices

## Rigid()

FlexDefinition BALL::FlexDefinition::Rigid | ( |  | ) |

static

Make a rigid FlexDefinition.